NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::ShipDesign::PillarSystemBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::PillarSystem builder which is used to create or edit a pillar system feature. More...

Inheritance diagram for NXOpen::Features::ShipDesign::PillarSystemBuilder:
NXOpen::Features::ShipDesign::ProfileSystemBuilder NXOpen::Features::ShipDesign::FeatureParmsBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  StockSectionType { StockSectionTypeProfile, StockSectionTypeBuiltUp }
 SpreadSheet Type Profile or BuiltUp. More...
 
enum  Types { TypesShipStructure, TypesPoints }
 Used to specify how the pillar system is defined. More...
 

Public Member Functions

int AnchorPoint ()
 Returns the anchor point. More...
 
bool BuildSolid ()
 Returns the indication of whether to build a solid for the pillar system or just the curve. More...
 
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilderBuiltUpStock ()
 Returns the stock used to build the builtUp from. More...
 
NXOpen::Features::ShipDesign::PointPairBuilderCreatePointPairBuilder ()
 Creates a NXOpen::Features::ShipDesign::PointPairBuilder . More...
 
NXOpen::DirectionDirection ()
 Returns the direction of the pillar. More...
 
std::vector< NXStringGetAvailableAnchorPointNames ()
 The list of available anchor points. More...
 
NXOpen::SelectNXObjectListIntersectingShipStructure ()
 Returns the ship structure to intersect with each other that defines the start of a pillar. More...
 
NXOpen::SelectNXObjectListLimitingShipStructure ()
 Returns the ship sructure that defines the end of the pillar. More...
 
NXOpen::ExpressionOrientationAngle ()
 Returns the angle at which to orient the stock shape. More...
 
NXOpen::SelectTaggedObjectOrientationLine ()
 Returns the orientation line, used only if the creation method is "Specify Line". More...
 
NXOpen::NXObjectListPointPairList ()
 Returns the list of pairs of points that define the ends of the pillars. More...
 
void PopulateAnchorPointList ()
 Update anchor points
Created in NX9.0.3. More...
 
bool ReverseOrientationDirection ()
 Returns the reverse orientation direction
Created in NX10.0.0. More...
 
bool ReverseReferenceDirection ()
 Returns the reverse reference direction
Created in NX10.0.0. More...
 
NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType SectionType ()
 Returns the section type (profile or plate)
Created in NX9.0.0. More...
 
void SetAnchorPoint (int anchorPoint)
 Sets the anchor point. More...
 
void SetBuildSolid (bool buildSolid)
 Sets the indication of whether to build a solid for the pillar system or just the curve. More...
 
void SetDirection (NXOpen::Direction *direction)
 Sets the direction of the pillar. More...
 
void SetReverseOrientationDirection (bool reverseOrientationDirection)
 Sets the reverse orientation direction
Created in NX10.0.0. More...
 
void SetReverseReferenceDirection (bool reverseReferenceDirection)
 Sets the reverse reference direction
Created in NX10.0.0. More...
 
void SetSectionType (NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType sectionType)
 Sets the section type (profile or plate)
Created in NX9.0.0. More...
 
void SetType (NXOpen::Features::ShipDesign::PillarSystemBuilder::Types type)
 Sets the type of input used to define the pillar location. More...
 
NXOpen::Features::ShipDesign::ShipNamesBuilderShipNames ()
 Returns the Ship Names builder, used to assign names to the Pillar Systems created. More...
 
NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilderStockData ()
 Returns the stock data used to define the stock information of the stiffener. More...
 
NXOpen::Features::ShipDesign::PillarSystemBuilder::Types Type ()
 Returns the type of input used to define the pillar location. More...
 
- Public Member Functions inherited from NXOpen::Features::ShipDesign::ProfileSystemBuilder
NXOpen::SelectNXObjectListBoundary1 ()
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the first end of the generated profile system. More...
 
NXOpen::PlaneBoundary1Plane ()
 Returns the defined plane that will be used to trim the first end of the generated profile system. More...
 
NXOpen::SelectNXObjectListBoundary2 ()
 Returns the collector containing the plate system, profile system, or datum plane that will be used to trim the second end of the generated profile system. More...
 
NXOpen::PlaneBoundary2Plane ()
 Returns the defined plane that will be used to trim the second end of the generated profile system. More...
 
bool BoundaryReverse ()
 Returns the indication if the side of a single boundary should be changed to the other side or not. More...
 
void CreatePathCurves (std::vector< NXOpen::NXObject * > &curves)
 Creates path curves for all the paths of the profile system. More...
 
void DeleteLastPathCurves ()
 Deletes the path curves returned from a call to GetLastPathCurves . More...
 
void DeletePathCurves ()
 Deletes the path curves created from a call to CreatePathCurves . More...
 
NXOpen::SelectPointListFirstIntersectionPoints ()
 Returns the selected intersection points between the curves and the first boundary. More...
 
void GetLastPathCurves (std::vector< NXOpen::NXObject * > &curves)
 Gets the path curves used by NXOpen::Features::ShipDesign::OrientationDefinitionBuilder . More...
 
bool ReversePathDirection ()
 Returns the flag that indicates if the default curve direction should be reversed or not. More...
 
NXOpen::SelectPointListSecondIntersectionPoints ()
 Returns the selected intersection points between the curves and the second boundary. More...
 
void SetBoundary1Plane (NXOpen::Plane *boundary1Plane)
 Sets the defined plane that will be used to trim the first end of the generated profile system. More...
 
void SetBoundary2Plane (NXOpen::Plane *boundary2Plane)
 Sets the defined plane that will be used to trim the second end of the generated profile system. More...
 
void SetBoundaryOnePoints (const std::vector< NXOpen::Point3d > &points)
 Sets the selected intersection points for the first boundary. More...
 
void SetBoundaryReverse (bool boundaryReverse)
 Sets the indication if the side of a single boundary should be changed to the other side or not. More...
 
void SetBoundaryTwoPoints (const std::vector< NXOpen::Point3d > &points)
 Set the selected intersection points for the second boundary. More...
 
void SetRegionPoints (const std::vector< NXOpen::Point3d > &points)
 Sets the points that identify which regions of the curves will be used. More...
 
void SetReversePathDirection (bool pathReverse)
 Sets the flag that indicates if the default curve direction should be reversed or not. More...
 
void SetUseNewDefaultSectionAlgorithm (bool useIt)
 Sets the flag that indicates if the new default section algorithm is used. More...
 
NXOpen::SelectPointListSplitKnuckleLocations ()
 Returns the collector containing the knuckle points that are to be used to create seams. More...
 
bool UseNewDefaultSectionAlgorithm ()
 Returns the flag that indicates if the new default section algorithm is used. More...
 
- Public Member Functions inherited from NXOpen::Features::ShipDesign::FeatureParmsBuilder
double AngleTolerance ()
 Returns the tolerance, in degrees, used to determine when angles are zero. More...
 
NXOpen::Features::ShipDesign::PlaneListBuilderCreatePlaneForList ()
 Create a NXOpen::Features::ShipDesign::PlaneListBuilder to add a defined plane to a list. More...
 
double DistanceTolerance ()
 Returns the tolerance used to determine when distances are considered zero. More...
 
NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes OrientationAngleRule ()
 Returns the angle rule to use when measuring angles. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the tolerance, in degrees, used to determine when angles are zero. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the tolerance used to determine when distances are considered zero. More...
 
void SetOrientationAngleRule (NXOpen::Features::ShipDesign::FeatureParmsBuilder::OrientationAngleRuleTypes angleRule)
 Sets the angle rule to use when measuring angles. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::PillarSystem builder which is used to create or edit a pillar system feature.


To create a new instance of this class, use NXOpen::Features::ShipCollection::CreatePillarSystemBuilder
Default values.

Property Value

OrientationAngle.Value

0

SectionType

Profile


Created in NX8.0.0.

Member Enumeration Documentation

SpreadSheet Type Profile or BuiltUp.

Enumerator
StockSectionTypeProfile 

Profile Stock.

StockSectionTypeBuiltUp 

Built Up Stock.

Used to specify how the pillar system is defined.

Enumerator
TypesShipStructure 

ship structure

TypesPoints 

points

Member Function Documentation

int NXOpen::Features::ShipDesign::PillarSystemBuilder::AnchorPoint ( )

Returns the anchor point.


Created in NX9.0.3.

License requirements : None

bool NXOpen::Features::ShipDesign::PillarSystemBuilder::BuildSolid ( )

Returns the indication of whether to build a solid for the pillar system or just the curve.


Created in NX11.0.0.

License requirements : None

NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::BuiltUpStock ( )

Returns the stock used to build the builtUp from.


Created in NX9.0.0.

License requirements : None

NXOpen::Features::ShipDesign::PointPairBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::CreatePointPairBuilder ( )

Creates a NXOpen::Features::ShipDesign::PointPairBuilder .

Returns

Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")
NXOpen::Direction* NXOpen::Features::ShipDesign::PillarSystemBuilder::Direction ( )

Returns the direction of the pillar.

Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.

License requirements : None

std::vector<NXString> NXOpen::Features::ShipDesign::PillarSystemBuilder::GetAvailableAnchorPointNames ( )

The list of available anchor points.

Returns
Array of available anchor point names. These names are read from the current reuse sketch
Created in NX9.0.3.

License requirements : None
NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::PillarSystemBuilder::IntersectingShipStructure ( )

Returns the ship structure to intersect with each other that defines the start of a pillar.

Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.

License requirements : None

NXOpen::SelectNXObjectList* NXOpen::Features::ShipDesign::PillarSystemBuilder::LimitingShipStructure ( )

Returns the ship sructure that defines the end of the pillar.

Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PillarSystemBuilder::OrientationAngle ( )

Returns the angle at which to orient the stock shape.


Created in NX8.0.0.

License requirements : None

NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::PillarSystemBuilder::OrientationLine ( )

Returns the orientation line, used only if the creation method is "Specify Line".


Created in NX8.5.0.

License requirements : None

NXOpen::NXObjectList* NXOpen::Features::ShipDesign::PillarSystemBuilder::PointPairList ( )

Returns the list of pairs of points that define the ends of the pillars.

Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.Points.
Created in NX8.0.0.

License requirements : None

void NXOpen::Features::ShipDesign::PillarSystemBuilder::PopulateAnchorPointList ( )

Update anchor points
Created in NX9.0.3.



License requirements : None

bool NXOpen::Features::ShipDesign::PillarSystemBuilder::ReverseOrientationDirection ( )

Returns the reverse orientation direction
Created in NX10.0.0.



License requirements : None

bool NXOpen::Features::ShipDesign::PillarSystemBuilder::ReverseReferenceDirection ( )

Returns the reverse reference direction
Created in NX10.0.0.



License requirements : None

NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType NXOpen::Features::ShipDesign::PillarSystemBuilder::SectionType ( )

Returns the section type (profile or plate)
Created in NX9.0.0.



License requirements : None

void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetAnchorPoint ( int  anchorPoint)

Sets the anchor point.


Created in NX9.0.3.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
anchorPointanchorpoint
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetBuildSolid ( bool  buildSolid)

Sets the indication of whether to build a solid for the pillar system or just the curve.


Created in NX11.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
buildSolidbuildsolid
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetDirection ( NXOpen::Direction direction)

Sets the direction of the pillar.

Only used when Type is Features.ShipDesign.PillarSystemBuilder.Types.ShipStructure.
Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
directiondirection
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetReverseOrientationDirection ( bool  reverseOrientationDirection)

Sets the reverse orientation direction
Created in NX10.0.0.



License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
reverseOrientationDirectionreverseorientationdirection
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetReverseReferenceDirection ( bool  reverseReferenceDirection)

Sets the reverse reference direction
Created in NX10.0.0.



License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
reverseReferenceDirectionreversereferencedirection
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetSectionType ( NXOpen::Features::ShipDesign::PillarSystemBuilder::StockSectionType  sectionType)

Sets the section type (profile or plate)
Created in NX9.0.0.



License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
sectionTypesectiontype
void NXOpen::Features::ShipDesign::PillarSystemBuilder::SetType ( NXOpen::Features::ShipDesign::PillarSystemBuilder::Types  type)

Sets the type of input used to define the pillar location.


Created in NX8.0.0.

License requirements : nx_ship_basic ("Ship Basic Design")

Parameters
typetype
NXOpen::Features::ShipDesign::ShipNamesBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::ShipNames ( )

Returns the Ship Names builder, used to assign names to the Pillar Systems created.


Created in NX9.0.2.

License requirements : None

NXOpen::Features::ShipDesign::SteelFeatureSpreadsheetBuilder* NXOpen::Features::ShipDesign::PillarSystemBuilder::StockData ( )

Returns the stock data used to define the stock information of the stiffener.


Created in NX8.0.0.

License requirements : None

NXOpen::Features::ShipDesign::PillarSystemBuilder::Types NXOpen::Features::ShipDesign::PillarSystemBuilder::Type ( )

Returns the type of input used to define the pillar location.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.